from django import forms
from .models import StudentAdmissions


class StudentInfoForm(forms.ModelForm):
    class Meta:
        model = StudentAdmissions
        fields = ['campus', 'program', 'student_name', 'father_name', 'student_cnic', 'guardian_cnic', 'gender', 'mobile', 'parent_mobile', 'email', 'address', 'last_exam_passed', 'passing_year', 'board', 'obtained_marks', 'total_marks', 'school']
        widgets = {
            'student_name': forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'Enter your name'}),
            'father_name': forms.TextInput(attrs={'class': 'form-control',  'placeholder': 'Enter Father Name'}),
            'student_cnic': forms.TextInput(attrs={'class': 'form-control', 'min':'0',  'placeholder': 'Student CNIC/ B.Form 0000000000000'}),
            'guardian_cnic': forms.TextInput(attrs={'class': 'form-control',  'min':'0', 'placeholder': 'Guardian CNIC no 0000000000000'}),
            'mobile': forms.TextInput(attrs={'class': 'form-control',  'placeholder': 'Mobile No'}),
            'parent_mobile': forms.TextInput(attrs={'class': 'form-control',  'placeholder': 'Parent Contact No'}),
            'email': forms.EmailInput(attrs={'class': 'form-control',  'placeholder': 'Email'}),
            'address': forms.TextInput(attrs={'class': 'form-control',  'placeholder':'Address'}),
            'passing_year': forms.NumberInput(attrs={'class': 'form-control', 'min':'0',  'placeholder':'Passing Year'}),
            'board': forms.TextInput(attrs={'class': 'form-control',  'placeholder':'Board Name'}),
            'obtained_marks': forms.NumberInput(attrs={'class': 'form-control', 'min':'0', 'placeholder':'Obtained Marks'}),
            'total_marks': forms.NumberInput(attrs={'class': 'form-control', 'min':'0', 'placeholder':'Total Marks'}),
            'school': forms.TextInput(attrs={'class': 'form-control',  'placeholder': 'School Name'}),
        }
    
    def __init__(self, *args, **kwargs):
        super(StudentInfoForm, self).__init__(*args, **kwargs)
        self.fields['campus'].widget.attrs['class'] = 'form-control'
        self.fields['program'].widget.attrs['class'] = 'form-control'
        self.fields['gender'].widget.attrs['class'] = 'form-control'
        self.fields['last_exam_passed'].widget.attrs['class'] = 'form-control'